<?php

namespace XenGenTr\XGTStyleV7;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;
use XF\Db\Schema\Alter;
use XF\Db\Schema\Create;

class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;

    /**
     * ----------------
     *     Kuruluma bala 
     * ----------------
     */
    public function installStep1()
    {
        $sm = $this->schemaManager();

        $sm->alterTable('xf_node', function(Alter $table)
        {

            $table->addColumn('xgt_kategori_renk', 'mediumblob')->nullable();
        });

    }	  

    public function installStep2()
    {
        $this->createWidget('xgtsv7_eniyi_kullanicilar', 'xgtSv7EniyiKullanici_wd', [
            'positions' => []

        ]);

        $this->createWidget('xgtsv7_enyeni_kullanicilar', 'xgtSv7Enyeniler_wd', [
            'positions' => []

        ]);

        $this->createWidget('xgtsv7_forum_istatistik', 'xgtSv7Forumistatistik_wd', [
            'positions' => []

        ]);

        $this->createWidget('xgtsv7_kullanici_paneli', 'xgtSv7KullaniciPanel_wd', [
            'positions' => []

        ]);
    }


    /**
     * ----------------
     *     Temizlige basla :)
     * ----------------
     */

    public function uninstallStep1()
    {
        $this->deleteWidget('xgtSv7EniyiKullanici_wd');
        $this->deleteWidget('xgtSv7Enyeniler_wd');
        $this->deleteWidget('xgtSv7Forumistatistik_wd');
        $this->deleteWidget('xgtSv7KullaniciPanel_wd');
    }

	public function uninstallStep2()
	{
		$sm = $this->schemaManager();
		
		$sm->alterTable('xf_node', function(Alter $table)
		{
			$table->dropColumns([
				'xgt_kategori_renk',
			]);
		});		
	}
}